#3339 reopened defect

Several PowerPC linker commands do not support constructors/destructors with priority

Reported by: Joel Sherrill Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This BSP shouldn't have trouble linking any of the tests so I was surprised at this failure.

gmake[6]: Entering directory `/data/home/joel/rtems-work/rtems-testing/rtems/build-powerpc-qemuppc-rtems/powerpc-rtems5/c/qemuppc/testsuites/sptests/spglobalcon02'
powerpc-rtems5-gcc -mcpu=603e -Dppc603e -O2 -g -fno-keep-inline-functions -mcpu=603e -Dppc603e -B/home/joel/rtems-work/rtems-testing/rtems/build-powerpc-qemuppc-rtems/powerpc-rtems5/c/qemuppc/lib/libbsp/powerpc/qemuppc -B/home/joel/rtems-work/rtems-testing/rtems/rtems/c/src/lib/libbsp/powerpc/qemuppc/startup/ -specs bsp_specs -qrtems -L../../../../../qemuppc/lib -L/home/joel/rtems-work/rtems-testing/rtems/rtems/c/src/lib/libbsp/powerpc/shared/startup -Wl,--wrap=printf -Wl,--wrap=puts -Wl,--wrap=putchar -o spglobalcon02.exe init.o
/data/home/joel/rtems-work/tools/5/bin/../lib/gcc/powerpc-rtems5/7.3.0/../../../../powerpc-rtems5/bin/ld: section .ctors.64535 LMA [00000000ffc19780,00000000ffc19783] overlaps section .sdata LMA [00000000ffc19780,00000000ffc19807]
collect2: error: ld returned 1 exit status
gmake[6]: * [spglobalcon02.exe] Error 1
gmake[6]: Leaving directory `/data/home/joel/rtems-work/rtems-testing/rtems/build-powerpc-qemuppc-rtems/powerpc-rtems5/c/qemuppc/testsuites/sptests/spglobalcon02'
gmake[5]:
* [spglobalcon02] Error 2

Change History (5)

comment:1 Changed on Mar 16, 2018 at 2:12:46 PM by Sebastian Huber <sebastian.huber@…>

In 9860cc7/rtems:

bsps/powerpc: Fix linker command files

Update #3339.

comment:2 Changed on Mar 16, 2018 at 2:12:56 PM by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In 2e5cf7f/rtems:

bsps/powerpc: Use shared linker command file

Close #3339.

comment:3 Changed on Mar 17, 2018 at 10:08:19 AM by Sebastian Huber

Resolution: fixed
Status: closedreopened
Summary: qemuppc fails to link spglobalcon02Several PowerPC linker commands do not support constructors/destructors with priority

comment:4 Changed on Mar 26, 2018 at 9:12:25 AM by Sebastian Huber <sebastian.huber@…>

In 1048a165/rtems:

bsp/tqm8xx: Use shared linker command file

Update #3339.

comment:5 Changed on Apr 25, 2018 at 6:36:17 PM by Sebastian Huber <sebastian.huber@…>

In b3e5aa5/rtems:

bsp/qemuppc: Install linkcmds.base

Update #3339.
Close #3411.

Note: See TracTickets for help on using tickets.